ValueHandlerFactory.BigDecimalValueHandler (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Class ValueHandlerFactory.BigDecimalValueHandler

    java.lang.Object
      org.hibernate.ejb.criteria.ValueHandlerFactory.BaseValueHandler<BigDecimal>
          org.hibernate.ejb.criteria.ValueHandlerFactory.BigDecimalValueHandler

All Implemented Interfaces:
  Serializable, ValueHandlerFactory.ValueHandler<BigDecimal>

Enclosing class:
  ValueHandlerFactory

    public static class ValueHandlerFactory.BigDecimalValueHandler

extends ValueHandlerFactory.BaseValueHandler<BigDecimal>
implements Serializable

See Also:
  Serialized Form

Field Summary
`static ValueHandlerFactory.BigDecimalValueHandler` | `INSTANCE`

Constructor Summary
`ValueHandlerFactory.BigDecimalValueHandler()`

Method Summary
`BigDecimal` | `convert(Object value)`
`String` | `render(BigDecimal value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ValueHandlerFactory.BigDecimalValueHandler INSTANCE

Constructor Detail

### ValueHandlerFactory.BigDecimalValueHandler

    public ValueHandlerFactory.BigDecimalValueHandler()

Method Detail

### convert

    public BigDecimal convert(Object value)

  Specified by:
    `convert` in interface `ValueHandlerFactory.ValueHandler<BigDecimal>`

### render

    public String render(BigDecimal value)

  Specified by:
    `render` in interface `ValueHandlerFactory.ValueHandler<BigDecimal>`
  Overrides:
    `render` in class `ValueHandlerFactory.BaseValueHandler<BigDecimal>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.